From b9b205977eb8767d61c7f57831a632d8f38b47bb Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 26 2017 13:35:06 +0000
Subject: [PATCH 1000/1001] Dont re-validate on config read


---

diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index 07735e4..db6a67d 100644
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -248,11 +248,10 @@ class Widget(object):
                     "api_hub_widget", hub=instance.hub.name, idx=instance.idx),
                 "config": {},
             })
-            validated = self.validate_parameters(instance.config)
             for param in self.get_parameters():
                 if param.secret and not with_secret_config:
                     continue
-                value = validated[param.name]
+                value = instance.config[param.name]
                 props["config"][param.name] = value
             if self.is_react:
                 props["component"] = self.name

